ros-jazzy-demo-nodes-cpp (0.33.5-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 06 Sep 2024 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.33.4-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 27 Jun 2024 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.33.3-1noble) noble; urgency=high

  * [demo_nodes_cpp] some readme and executable name fixups (#678 <https://github.com/ros2/demos/issues/678>) (#688 <https://github.com/ros2/demos/issues/688>)
    (cherry picked from commit aa8df8904b864d063e31fd5b953ffe561c7a9fe0)
    Co-authored-by: Mikael Arguedas <mailto:mikael.arguedas@gmail.com>
  * Fix gcc warnings when building with optimizations. (#672 <https://github.com/ros2/demos/issues/672>) (#673 <https://github.com/ros2/demos/issues/673>)
    * Fix gcc warnings when building with optimizations.
    When building the allocator_tutorial_pmr demo with -O2,
    gcc is throwing an error saying that new and delete are
    mismatched.  This is something of a misnomer, however;
    the real problem is that the global new override we
    have in that demo is actually implemented incorrectly.
    In particular, the documentation at
    https://en.cppreference.com/w/cpp/memory/new/operator_new
    very clearly specifies that operator new either has to
    return a valid pointer, or throw an exception on error.
    Our version wasn't throwing the exception, so change it
    to throw std::bad_alloc if std::malloc fails.
    While we are in here, also fix another small possible
    is where std::malloc could return nullptr on a zero-sized
    object, thus throwing an exception it shouldn't.
    * Always inline the new and delete operators.
    That's because gcc 13 has a bug where it can sometimes
    inline one or the other, and then it detects that they
    mismatch.  For gcc and clang, just force them to always
    be inline in this demo.
    * Switch to NOINLINE instead.
    Both clang and MSVC don't like inlining these, so instead
    ensure that they are *not* inlined.  This also works
    because the problem is when new is inlined but not delete
    (or vice-versa).  As long as they are both not inlined,
    this should fix the warning.
    (cherry picked from commit 957ddbb9f04f55cabd8496e8d74eb35ee4d29105)
    Co-authored-by: Chris Lalancette <mailto:clalancette@gmail.com>
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 May 2024 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.33.2-1noble) noble; urgency=high

  * A few uncrustify fixes for 0.78. (#667 <https://github.com/ros2/demos/issues/667>)
  * Allow users to configure the executor for executables in demo_nodes_cpp (#666 <https://github.com/ros2/demos/issues/666>)
  * Update maintainer list in package.xml files (#665 <https://github.com/ros2/demos/issues/665>)
  * Contributors: Chris Lalancette, Michael Jeronimo, Yadu

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Mar 2024 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.33.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Feb 2024 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.33.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 24 Jan 2024 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.32.1-1noble) noble; urgency=high

  * Added extra documentation and clarifications. (#651 <https://github.com/ros2/demos/issues/651>)
  * Contributors: jrutgeer

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 Dec 2023 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.32.0-1noble) noble; urgency=high

  * Add in support for both the PMR and custom allocator tutorials. (#655 <https://github.com/ros2/demos/issues/655>)
  * Replacing old-style C++ allocator with a polymorphic memory resource (PMR) (#653 <https://github.com/ros2/demos/issues/653>)
  * Contributors: Ali Ashkani Nia, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 06 Nov 2023 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.31.1-1noble) noble; urgency=high

  * Remove unnecessary captures in the various demos. (#647 <https://github.com/ros2/demos/issues/647>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.31.0-1noble) noble; urgency=high

  * Dramatically speed up the demo_nodes_cpp tests (#641 <https://github.com/ros2/demos/issues/641>)
  * Switch to using RCLCPP logging macros in the lifecycle package. (#644 <https://github.com/ros2/demos/issues/644>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.30.1-1noble) noble; urgency=high

  * failed to call introspection_client (#643 <https://github.com/ros2/demos/issues/643>)
  * Contributors: Chen Lihui

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.30.0-1noble) noble; urgency=high

  * Small cleanups to the demos when running through them. (#639 <https://github.com/ros2/demos/issues/639>)
  * Cleanup demo_nodes_cpp CMake and dependencies (#638 <https://github.com/ros2/demos/issues/638>)
  * Change the service introspection parameter off value to 'disabled' (#634 <https://github.com/ros2/demos/issues/634>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Jun 2023 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.29.0-1noble) noble; urgency=high

  * Add demos for using logger service (#611 <https://github.com/ros2/demos/issues/611>)
  * Contributors: Barry Xu

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.28.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.28.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.27.0-1noble) noble; urgency=high

  * Change all ROS2 -> ROS 2. (#610 <https://github.com/ros2/demos/issues/610>)
  * Add matched event demo for rclcpp and rclpy (#607 <https://github.com/ros2/demos/issues/607>)
  * Contributors: Barry Xu, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Apr 2023 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.26.0-1noble) noble; urgency=high

  * Fix the set_parameters_callback example program. (#608 <https://github.com/ros2/demos/issues/608>)
  * [demo_nodes_cpp] Add YAML launch demos for topics (#605 <https://github.com/ros2/demos/issues/605>)
  * update launch file name format to match documentation (#588 <https://github.com/ros2/demos/issues/588>)
  * Contributors: Chris Lalancette, Damien LaRocque, Patrick Wspanialy

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.25.0-1noble) noble; urgency=high

  * Service introspection (#602 <https://github.com/ros2/demos/issues/602>)
    * Add in a rclcpp and rclpy demo of introspection.
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 01 Mar 2023 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.24.1-1noble) noble; urgency=high

  * Added README.md for demo_cpp_nodes (#599 <https://github.com/ros2/demos/issues/599>)
  * Contributors: Gary Bey

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 24 Feb 2023 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.24.0-1noble) noble; urgency=high

  * Update the demos to C++17. (#594 <https://github.com/ros2/demos/issues/594>)
  * [rolling] Update maintainers - 2022-11-07 (#589 <https://github.com/ros2/demos/issues/589>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.23.0-1noble) noble; urgency=high

  * Demo for pre and post set parameter callback support (#565 <https://github.com/ros2/demos/issues/565>)
    * local parameter callback support
  * Contributors: Deepanshu Bansal

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.22.0-1noble) noble; urgency=high

  * counter starts from 1, not 2. (#562 <https://github.com/ros2/demos/issues/562>)
  * add a demo of content filter listener (#557 <https://github.com/ros2/demos/issues/557>)
  * Contributors: Chen Lihui, Tomoya Fujita

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.21.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.20.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.20.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.19.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.18.0-1noble) noble; urgency=high

  * Update maintainers to Audrow Nash and Michael Jeronimo (#543 <https://github.com/ros2/demos/issues/543>)
  * Add how to fix the most vexing parse problem (#541 <https://github.com/ros2/demos/issues/541>)
    * use uniform initialization
  * Contributors: Audrow Nash, Tomoya Fujita

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.17.0-1noble) noble; urgency=high

  * Fixing deprecated subscriber callback warnings (#532 <https://github.com/ros2/demos/issues/532>)
  * Contributors: Abrar Rahman Protyasha

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 18 Oct 2021 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.16.0-1noble) noble; urgency=high

  * Update talker_loaned_message.cpp (#518 <https://github.com/ros2/demos/issues/518>)
  * Contributors: Zongbao Feng

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 11 Aug 2021 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.15.0-1noble) noble; urgency=high

  * Revert "Use sizeof(char) in place for sizeof(void) (#515 <https://github.com/ros2/demos/issues/515>)" (#516 <https://github.com/ros2/demos/issues/516>)
  * change how serialized message works with subscription (#497 <https://github.com/ros2/demos/issues/497>)
  * Use sizeof(char) in place for sizeof(void) (#515 <https://github.com/ros2/demos/issues/515>)
  * Fix small print issue in allocator tutorial. (#509 <https://github.com/ros2/demos/issues/509>)
  * Contributors: Chris Lalancette, Michel Hidalgo, William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 May 2021 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.14.2-1noble) noble; urgency=high

  * Small fixes for even_parameters_node. (#500 <https://github.com/ros2/demos/issues/500>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 26 Apr 2021 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.14.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 19 Apr 2021 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.14.0-1noble) noble; urgency=high

  * change ParameterEventHandler to take events as const ref instead of shared pointer (#494 <https://github.com/ros2/demos/issues/494>)
  * Fix integer type in RCLCPP_* macro printf. (#492 <https://github.com/ros2/demos/issues/492>)
  * Contributors: Chris Lalancette, William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.13.0-1noble) noble; urgency=high

  * Add a demo for the new ParameterEventHandler class (#486 <https://github.com/ros2/demos/issues/486>)
  * Contributors: Michael Jeronimo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 25 Mar 2021 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.12.1-1noble) noble; urgency=high

  * Filter qos overrides in paramter events demos (#491 <https://github.com/ros2/demos/issues/491>)
  * Update code now that parameter types are static by default (#487 <https://github.com/ros2/demos/issues/487>)
  * Contributors: Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.12.0-1noble) noble; urgency=high

  * Update logging macros (#476 <https://github.com/ros2/demos/issues/476>)
  * Contributors: Audrow Nash

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.11.0-1noble) noble; urgency=high

  * Make sure to wait for the service before declaring events. (#473 <https://github.com/ros2/demos/issues/473>)
  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Chris Lalancette, Michael Jeronimo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 10 Dec 2020 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.10.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 21 Sep 2020 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.10.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 17 Jun 2020 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.9.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 01 Jun 2020 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.9.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.9.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 12 May 2020 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.9.0-1noble) noble; urgency=high

  * avoid new deprecations (#442 <https://github.com/ros2/demos/issues/442>)
  * use serialized message (#441 <https://github.com/ros2/demos/issues/441>)
  * Replace deprecated launch_ros usage (#437 <https://github.com/ros2/demos/issues/437>)
  * code style only: wrap after open parenthesis if not in one line (#429 <https://github.com/ros2/demos/issues/429>)
  * Use spin_until_future_complete instead of spin_some in parameters_event demo (#427 <https://github.com/ros2/demos/issues/427>)
  * change the logging demo test for updated console format (#421 <https://github.com/ros2/demos/issues/421>)
  * [demo_nodes_cpp]  Add XML launch demos (#419 <https://github.com/ros2/demos/issues/419>)
  * Contributors: Dirk Thomas, Ivan Santiago Paunovic, Jacob Perron, Karsten Knese, Steven Macenski, William Woodall, Yutaka Kondo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 30 Apr 2020 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.8.4-1noble) noble; urgency=high

  * Add in a more helpful usage message to allocator_tutorial. (#409 <https://github.com/ros2/demos/issues/409>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 19 Nov 2019 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.8.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 11 Nov 2019 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.8.2-1noble) noble; urgency=high

  * Don't redefine add_dependencies (#408 <https://github.com/ros2/demos/issues/408>)
  * Contributors: Dan Rose

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Nov 2019 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.8.1-1noble) noble; urgency=high

  * rename return functions for loaned messages (#403 <https://github.com/ros2/demos/issues/403>)
  * Replace ready_fn with ReadyToTest action (#404 <https://github.com/ros2/demos/issues/404>)
  * remove intra-process manager impl (#382 <https://github.com/ros2/demos/issues/382>)
  * zero copy api (#394 <https://github.com/ros2/demos/issues/394>)
  * Remove command line parsing from C++ demos (#401 <https://github.com/ros2/demos/issues/401>)
  * Need to specify NodeOption explicitly to allow declaration. (#389 <https://github.com/ros2/demos/issues/389>)
  * Contributors: Alberto Soragna, Jacob Perron, Karsten Knese, Peter Baughman, tomoya

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.8.0-1noble) noble; urgency=high

  * Adding visibility macros to demos (#381 <https://github.com/ros2/demos/issues/381>)
  * Demos using composition (#375 <https://github.com/ros2/demos/issues/375>)
  * Contributors: Siddharth Kucheria

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 26 Sep 2019 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.7.6-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 30 May 2019 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.7.5-1noble) noble; urgency=high

  * Update to use new parameter option names (#355 <https://github.com/ros2/demos/issues/355>)
  * Contributors: William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 29 May 2019 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.7.4-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 20 May 2019 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.7.3-1noble) noble; urgency=high

  * Added the ``parameter_blackboard`` demo to ``demo_nodes_cpp`` to make some tutorials easier. (#333 <https://github.com/ros2/demos/issues/333>)
  * Contributors: William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 10 May 2019 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.7.2-1noble) noble; urgency=high

  * changes to avoid deprecated API's (#332 <https://github.com/ros2/demos/issues/332>)
  * Corrected publish calls with shared_ptr signature (#327 <https://github.com/ros2/demos/issues/327>)
  * Migrate launch tests to new launch_testing features & API (#318 <https://github.com/ros2/demos/issues/318>)
  * Contributors: Michel Hidalgo, William Woodall, ivanpauno

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 08 May 2019 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.7.1-1noble) noble; urgency=high

  * Updated to declare parameters. (#241 <https://github.com/ros2/demos/issues/241>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 26 Apr 2019 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.7.0-1noble) noble; urgency=high

  * Moved away from deprecated rclcpp APIs. (#321 <https://github.com/ros2/demos/issues/321>)
  * Added launch along with launch_testing as test dependencies. (#313 <https://github.com/ros2/demos/issues/313>)
  * Updated for NodeOptions Node constructor. (#308 <https://github.com/ros2/demos/issues/308>)
  * Contributors: Emerson Knapp, Michael Carroll, Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 14 Apr 2019 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.6.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 15 Jan 2019 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.6.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Dec 2018 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.6.0-1noble) noble; urgency=high

  * Added semicolons to all RCLCPP and RCUTILS macros. (#278 <https://github.com/ros2/demos/issues/278>)
  * Removed parameter node, all nodes take parameter by default now (#265 <https://github.com/ros2/demos/issues/265>)
  * Added example of registering custom parameter validation callbacks (#273 <https://github.com/ros2/demos/issues/273>)
  * Removed imu_listener node (#272 <https://github.com/ros2/demos/issues/272>)
  * Refined demo_nodes_cpp source codes (#269 <https://github.com/ros2/demos/issues/269>)
  * Fixed typo in comment (#268 <https://github.com/ros2/demos/issues/268>)
  * Removed rosidl deps as this package doesnt generate any messages (#264 <https://github.com/ros2/demos/issues/264>)
  * Fixed no return code for main() in several files (#266 <https://github.com/ros2/demos/issues/266>)
  * Contributors: Chris Lalancette, Mikael Arguedas, Yutaka Kondo, testkit

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 07 Dec 2018 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.5.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Jun 2018 00:00:00 -0000

ros-jazzy-demo-nodes-cpp (0.5.0-1noble) noble; urgency=high

  * Reduced the publishing of the allocator_tutorial to 100Hz. (#257 <https://github.com/ros2/demos/issues/257>)
    * Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Removed the now obsolete ros2param executable, use ``ros2 param`` instead. (#251 <https://github.com/ros2/demos/issues/251>)
  * Fixed a potiential nullptr dereference issue in ``demo_nodes_cpp``. (#242 <https://github.com/ros2/demos/issues/242>)
  * Added demo nodes which use the new serialized message typed publishers and subscriptions. (#185 <https://github.com/ros2/demos/issues/185>)
  * Added a new-style launch file for the talker and listener demo nodes, called ``talker_listener.launch.py``. (#244 <https://github.com/ros2/demos/issues/244>)
  * Updated launch files to account for the "old launch" getting renamespaced as ``launch`` -> ``launch.legacy``. (#239 <https://github.com/ros2/demos/issues/239>)
  * Updated to handle refactor of the ``ParameterVariant`` class. (#237 <https://github.com/ros2/demos/issues/237>)
  * Updated to account for the fact that the ROS Parameter services starts automatically now. (#236 <https://github.com/ros2/demos/issues/236>)
  * Added some uses of parameter arrays to the ``set_and_get_parameters`` demo. (#235 <https://github.com/ros2/demos/issues/235>)
  * Contributors: Chris Lalancette, Dirk Thomas, Karsten Knese, Mikael Arguedas, Shane Loretz, William Woodall, cshen

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Jun 2018 00:00:00 -0000


